Home/News | About | Download | Documentation | Forum | Bug Reports | Contact | Donations | Consulting | Projects | Legal | Security | FATE


This forum has not been maintained for a long time and will probably get deleted in the near future.
For faster responses to your questions, please use StackOverflow instead and tag your questions with "FFmpeg".
If you need a backup of the posts from this forum, please contact me directly.

Install/enable 'libfdk_aac' after installed FFMPEG via PPA

Troubleshooting compilation problems on all platforms.

Install/enable 'libfdk_aac' after installed FFMPEG via PPA

Postby cyberbob » Tue Jul 18, 2017 7:30 am

Dear Sir,
I have google for hours but without solve my problem !!!

I have linux MINT 17.3 Kernel 4.4.0-81 all update available.(For different reasons I can't move to newer version of ubuntu/mint)
I Have installed FFMPEG via PPA:

sudo add-apt-repository ppa:jonathonf/ffmpeg-3 -y
sudo apt-get update
sudo apt-get install -y ffmpeg


then I tried to install libfdk-aac
https://trac.ffmpeg.org/wiki/Compilatio ... libfdk-aac
Code: Select all
sudo apt-get install pkg-config autoconf automake libtool
git clone https://github.com/mstorsjo/fdk-aac.git
cd fdk-aac
./autogen.sh
./configure --enable-shared --enable-static
make
sudo make install
sudo ldconfig


But I'm still receive from FFMPEG: "unknown encoder 'libfdk_aac'"
How can I check if "libfdk_aac' is correctly installed and HOW CAN I ACTIVATE / ENABLE the 'libfdk_aac' on FFMPEG??

IF IS Not possible in my situation, and if I'm obliged to remove all ffmpeg and follow this:
https://trac.ffmpeg.org/wiki/CompilationGuide/Ubuntu
please tell me!

Many thanks in advance!
cyberbob
 
Posts: 3
Joined: Tue Sep 01, 2015 6:52 pm

Return to Compiling FFmpeg

Who is online

Users browsing this forum: No registered users and 2 guests